org.richfaces.component

## Class UIToolbarGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractToolbarGroup
      - - org.richfaces.component.UIToolbarGroup

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIToolbarGroup
      extends AbstractToolbarGroup
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The <rich:toolbarGroup> component is a child component of the <rich:toolbar> component. The <rich:toolbarGroup> component is used to group a number of items together on a toolbar.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIToolbarGroup.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIToolbarGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getItemClass()` CSS style(s) to be applied when the item elements are rendered.
    `String` | `getItemSeparator()` A separator between items on a bar.
    `String` | `getItemStyle()` Space-separated list of CSS style class(es) to be applied when the item element is rendered.
    `String` | `getLocation()` Location of the toolbar items in the parent toolbar.
    `String` | `getOnitemclick()` The client-side script method to be called when an item is clicked
    `String` | `getOnitemdblclick()` The client-side script method to be called when an item is double-clicked
    `String` | `getOnitemkeydown()` The client-side script method to be called when a key is pressed down over the element
    `String` | `getOnitemkeypress()` The client-side script method to be called when a key is pressed and released over an item
    `String` | `getOnitemkeyup()` The client-side script method to be called when a key is released
    `String` | `getOnitemmousedown()` The client-side script method to be called when a mouse button is pressed down over an item
    `String` | `getOnitemmousemove()` The client-side script method to be called when a pointer is moved within an item
    `String` | `getOnitemmouseout()` The client-side script method to be called when a pointer is moved away from an item
    `String` | `getOnitemmouseover()` The client-side script method to be called when a pointer is moved onto an item
    `String` | `getOnitemmouseup()` The client-side script method to be called when a mouse button is released over an item
    `void` | `setItemClass(String itemClass)`
    `void` | `setItemSeparator(String itemSeparator)`
    `void` | `setItemStyle(String itemStyle)`
    `void` | `setLocation(String location)`
    `void` | `setOnitemclick(String onitemclick)`
    `void` | `setOnitemdblclick(String onitemdblclick)`
    `void` | `setOnitemkeydown(String onitemkeydown)`
    `void` | `setOnitemkeypress(String onitemkeypress)`
    `void` | `setOnitemkeyup(String onitemkeyup)`
    `void` | `setOnitemmousedown(String onitemmousedown)`
    `void` | `setOnitemmousemove(String onitemmousemove)`
    `void` | `setOnitemmouseout(String onitemmouseout)`
    `void` | `setOnitemmouseover(String onitemmouseover)`
    `void` | `setOnitemmouseup(String onitemmouseup)`

    - ### Methods inherited from class org.richfaces.component.AbstractToolbarGroup

      `getRenderedChildren, getToolBar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIToolbarGroup

          public UIToolbarGroup()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getItemClass

          public String getItemClass()

      Description copied from class: `AbstractToolbarGroup`
      CSS style(s) to be applied when the item elements are rendered.
      Specified by:
        `getItemClass` in class `AbstractToolbarGroup`

    - #### setItemClass

          public void setItemClass(String itemClass)

    - #### getItemSeparator

          public String getItemSeparator()

      Description copied from class: `AbstractToolbarGroup`

      A separator between items on a bar. Possible values are "none", "line", "square", "disc" and "grid".

      Default value is "none".

      Specified by:
        `getItemSeparator` in class `AbstractToolbarGroup`

    - #### setItemSeparator

          public void setItemSeparator(String itemSeparator)

    - #### getItemStyle

          public String getItemStyle()

      Description copied from class: `AbstractToolbarGroup`
      Space-separated list of CSS style class(es) to be applied when the item element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getItemStyle` in class `AbstractToolbarGroup`

    - #### setItemStyle

          public void setItemStyle(String itemStyle)

    - #### getLocation

          public String getLocation()

      Description copied from class: `AbstractToolbarGroup`

      Location of the toolbar items in the parent toolbar. Can be one of "left" or "right"

      Default is "left"

      Specified by:
        `getLocation` in class `AbstractToolbarGroup`

    - #### setLocation

          public void setLocation(String location)

    - #### getOnitemclick

          public String getOnitemclick()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when an item is clicked
      Specified by:
        `getOnitemclick` in class `AbstractToolbarGroup`

    - #### setOnitemclick

          public void setOnitemclick(String onitemclick)

    - #### getOnitemdblclick

          public String getOnitemdblclick()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when an item is double-clicked
      Specified by:
        `getOnitemdblclick` in class `AbstractToolbarGroup`

    - #### setOnitemdblclick

          public void setOnitemdblclick(String onitemdblclick)

    - #### getOnitemkeydown

          public String getOnitemkeydown()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when a key is pressed down over the element
      Specified by:
        `getOnitemkeydown` in class `AbstractToolbarGroup`

    - #### setOnitemkeydown

          public void setOnitemkeydown(String onitemkeydown)

    - #### getOnitemkeypress

          public String getOnitemkeypress()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when a key is pressed and released over an item
      Specified by:
        `getOnitemkeypress` in class `AbstractToolbarGroup`

    - #### setOnitemkeypress

          public void setOnitemkeypress(String onitemkeypress)

    - #### getOnitemkeyup

          public String getOnitemkeyup()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when a key is released
      Specified by:
        `getOnitemkeyup` in class `AbstractToolbarGroup`

    - #### setOnitemkeyup

          public void setOnitemkeyup(String onitemkeyup)

    - #### getOnitemmousedown

          public String getOnitemmousedown()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when a mouse button is pressed down over an item
      Specified by:
        `getOnitemmousedown` in class `AbstractToolbarGroup`

    - #### setOnitemmousedown

          public void setOnitemmousedown(String onitemmousedown)

    - #### getOnitemmousemove

          public String getOnitemmousemove()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when a pointer is moved within an item
      Specified by:
        `getOnitemmousemove` in class `AbstractToolbarGroup`

    - #### setOnitemmousemove

          public void setOnitemmousemove(String onitemmousemove)

    - #### getOnitemmouseout

          public String getOnitemmouseout()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when a pointer is moved away from an item
      Specified by:
        `getOnitemmouseout` in class `AbstractToolbarGroup`

    - #### setOnitemmouseout

          public void setOnitemmouseout(String onitemmouseout)

    - #### getOnitemmouseover

          public String getOnitemmouseover()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when a pointer is moved onto an item
      Specified by:
        `getOnitemmouseover` in class `AbstractToolbarGroup`

    - #### setOnitemmouseover

          public void setOnitemmouseover(String onitemmouseover)

    - #### getOnitemmouseup

          public String getOnitemmouseup()

      Description copied from class: `AbstractToolbarGroup`
      The client-side script method to be called when a mouse button is released over an item
      Specified by:
        `getOnitemmouseup` in class `AbstractToolbarGroup`

    - #### setOnitemmouseup

          public void setOnitemmouseup(String onitemmouseup)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.